
WikiNG - Bug #2403

Patch to support Redmine 3.2 / Rails 4

10 Jan 2016 17:33 - Rob Spearman

Status: Closed Start date:  

Priority: Normal Due date: 16 Dec 2017

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Redmine version: 3.2.x External issue:  

Description

I had to go beyond Massimo Rossello’s patch (#2367, also incorporated into this patch), to get this working on Redmine 3.2 / Rails

4.2.5.  See attached patch.

Tested with:

  Redmine version                3.2.0.stable

  Ruby version                   1.9.3-p448 (2013-06-27) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    development

  Database adapter               Mysql2

Related issues:

Related to WikiNG - Bug #2367: Compatibility to Redmine 3.0.1 Closed 02 Apr 2015 06 Sep 2016

Related to WikiNG - Bug #2387: Err with Redmine 3.04 (Mention/User Profile Pa... Closed 15 Jul 2015 06 Sep 2016

Related to WikiNG - Enhancement #2397: Support for Redmine 3.1 Closed 29 Sep 2015

Related to WikiNG - Bug #2412: Links to issue notes do now work Closed

Associated revisions

Revision 79 - 06 Sep 2016 18:39 - Andriy Lesyuk

Fixes for Redmine 3.0 (#2367, #2387, #2397, #2403)

Revision 80 - 03 Oct 2016 15:34 - Andriy Lesyuk

Add attr_protected (#2367, #2387, #2397, #2403)

Revision 84 - 16 Dec 2017 11:28 - Andriy Lesyuk

Support for wiki_syntax_textile.html (#2403)

History

#1 - 08 Mar 2016 15:18 - Txinto Vaz

Hello, I added this patch and worked on mine:

Environment:

  Redmine version                3.2.0.stable.1165

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.5.1

  Environment                    production

  Database adapter               Mysql2

 

But this cause to appear the old known issue of loosing the syntax help page: #2158

This is the exact log:
Started GET "/help/wiki_syntax.html" for ::1 at 2016-03-08 15:06:42 +0000

ActionController::RoutingError (No route matches [GET] "/help/wiki_syntax.html"):

  actionpack (4.2.5.1) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

  actionpack (4.2.5.1) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

  railties (4.2.5.1) lib/rails/rack/logger.rb:38:in `call_app'

  railties (4.2.5.1) lib/rails/rack/logger.rb:20:in `block in call'

  activesupport (4.2.5.1) lib/active_support/tagged_logging.rb:68:in `block in tagged'

  activesupport (4.2.5.1) lib/active_support/tagged_logging.rb:26:in `tagged'

  activesupport (4.2.5.1) lib/active_support/tagged_logging.rb:68:in `tagged'

  railties (4.2.5.1) lib/rails/rack/logger.rb:20:in `call'

  actionpack (4.2.5.1) lib/action_dispatch/middleware/request_id.rb:21:in `call'

  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'

  rack (1.6.4) lib/rack/runtime.rb:18:in `call'

  activesupport (4.2.5.1) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'

  actionpack (4.2.5.1) lib/action_dispatch/middleware/static.rb:116:in `call'

  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'

 

Does it happen to anyone more?

Thanks (Rob) for the patch, and, as always, Andriy for fantastic wiking!

#2 - 08 Mar 2016 15:35 - Txinto Vaz

- File wiking-redmine-3.2-help404.patch added

Hello again.  I’ve workarounded the problem by patching the 'wiki_syntax’ words to 'wiki_syntax_textile’.

The patch is included here.

This is not a fix, it probably don’t work in your system, but will help people to find the problem.

Sorry, in fact the current file breaks the wiking help, I’ll update it in a while.  DO NOT use it.

Please, can you remove this wrong file?  I have not permission to delete the file.

Best regards and thank you.
#3 - 08 Mar 2016 16:04 - Txinto Vaz

- File wiking-redmine-3.2-help404.patch added

I upload the correct file.  This does not break the wiking help in my system.

Sorry and thank you.

#4 - 22 Jul 2016 14:00 - Marc M

Hi, thanks for the patch, which is working fine so far.

Except the user page. I already had this problem with the patch from Massimo Rossello

Could you please fix this or help me to fix this, when its an error which only appears in our redmine installation?

I applied both patches wiking-redmine-3.2.patch and wiking-redmine-3.2-help404.patch

Log:

Started GET "/users/mm" for 192.168.0.25 at 2016-07-22 15:53:24 +0200

Processing by UsersController#show as HTML

  Parameters: {"id"=>"mm"}

  Current user: mm (id=3)

  Rendered plugins/redmine_contacts/app/views/users/_contact.html.erb (6.7ms)

  Rendered plugins/wiking/app/views/wiking/_mentions.html.erb (1.6ms)

  Rendered users/show.html.erb within layouts/base (401.8ms)

Completed 500 Internal Server Error in 1283ms (ActiveRecord: 91.3ms)

ActiveRecord::RecordNotFound (Couldn't find all Mentions with 'id': (all, {:conditions=>{:mentioned_id=>3}, :o

rder=>"created_on DESC"}) (found 0 results, but was looking for 2)):

  plugins/wiking/app/views/wiking/_mentions.html.erb:3:in `_6862489e7179fc9ba8ab5420cda9d35a'

  lib/redmine/hook/view_listener.rb:59:in `block (2 levels) in render_on'

  lib/redmine/hook/view_listener.rb:57:in `map'

  lib/redmine/hook/view_listener.rb:57:in `block in render_on'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:96:in `call_hook'

  app/views/users/show.html.erb:78:in `_9497c2cf63f66f282052273ce63370e5'

  app/controllers/users_controller.rb:77:in `block (2 levels) in show'

  app/controllers/users_controller.rb:73:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'
#5 - 06 Sep 2016 18:44 - Andriy Lesyuk

- Status changed from New to Under Verification

- Target version set to 1.1.0

#6 - 03 Oct 2016 15:36 - Andriy Lesyuk

- Related to Bug #2412: Links to issue notes do now work added

#7 - 15 Dec 2017 23:38 - Andriy Lesyuk

- File deleted (wiking-redmine-3.2-help404.patch)

#8 - 16 Dec 2017 11:30 - Andriy Lesyuk

- Due date set to 16 Dec 2017

- % Done changed from 0 to 100

- Redmine version set to 3.2.x

This was fixed in r79. Thank you, guys, for your patches anyway.

#9 - 16 Dec 2017 11:30 - Andriy Lesyuk

- Status changed from Under Verification to Closed

#10 - 30 Dec 2017 11:13 - Andriy Lesyuk

- Tracker changed from Patch to Bug

Files

wiking-redmine-3.2.patch 5.76 KB 10 Jan 2016 Rob Spearman

wiking-redmine-3.2-help404.patch 1.16 KB 08 Mar 2016 Txinto Vaz
